# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::PlyLoader Class Reference

Loads a PLY file. More...

`#include <vlPLY.hpp>`

List of all members.

## Classes

class | PlyElement
| Used by PlyLoader. More...
class | PlyPropertyAbstract
| Used by PlyLoader. More...
class | PlyScalar
| Used by PlyLoader. More...
class | PlyScalarList
| Used by PlyLoader. More...

## Public Types

enum | EType { PlyError, PlyChar, PlyUChar, PlyShort, PlyUShort, PlyInt, PlyUInt, PlyFloat, PlyDouble }

## Public Member Functions

virtual const char * | className ()
| PlyLoader ()
| Constructor.
ref< ResourceDatabase > | loadPly (VirtualFile *file)
| Loads a PLY file.
const std::vector< ref < PlyElement > > & | elements () const
std::vector< ref< PlyElement > > & | elements ()
bool | binary () const
bool | littleEndian () const
void | readElements (VirtualFile *file)
void | readElements (TextStream *text)
virtual void | newElement (PlyElement *el)
EType | translateType (const String &type)
void | analyzeHeader ()
virtual bool | readHeader (TextStream *line_reader)

## Protected Attributes

std::vector< ref< PlyElement > > | mElements
ref< ArrayFVec3 > | mVerts
ref< ArrayFVec3 > | mNormals
ref< ArrayUBVec4 > | mColors
std::vector< unsigned int > | mIndices
int | mVertexIndex
bool | mBinary
bool | mLittleEndian

## Detailed Description

Loads a PLY file.

## Member Enumeration Documentation

enum vl::PlyLoader::EType

Enumerator:

  PlyError |
  PlyChar |
  PlyUChar |
  PlyShort |
  PlyUShort |
  PlyInt |
  PlyUInt |
  PlyFloat |
  PlyDouble |

## Constructor & Destructor Documentation

vl::PlyLoader::PlyLoader | ( |  | ) | `[inline]`

Constructor.

## Member Function Documentation

virtual const char* vl::PlyLoader::className | ( |  | ) | `[inline, virtual]`

ref< ResourceDatabase > PlyLoader::loadPly | ( | VirtualFile * | file | ) |

Loads a PLY file.

const std::vector< ref<PlyElement> >& vl::PlyLoader::elements | ( |  | ) | const`[inline]`

std::vector< ref<PlyElement> >& vl::PlyLoader::elements | ( |  | ) | `[inline]`

bool vl::PlyLoader::binary | ( |  | ) | const`[inline]`

bool vl::PlyLoader::littleEndian | ( |  | ) | const`[inline]`

void PlyLoader::readElements | ( | VirtualFile * | file | ) |

void PlyLoader::readElements | ( | TextStream * | text | ) |

void PlyLoader::newElement | ( | PlyElement * | el | ) | `[virtual]`

PlyLoader::EType PlyLoader::translateType | ( | const String & | type | ) |

void PlyLoader::analyzeHeader | ( |  | ) |

bool PlyLoader::readHeader | ( | TextStream * | line_reader | ) | `[virtual]`

## Member Data Documentation

std::vector< ref<PlyElement> > vl::PlyLoader::mElements`[protected]`

ref<ArrayFVec3> vl::PlyLoader::mVerts`[protected]`

ref<ArrayFVec3> vl::PlyLoader::mNormals`[protected]`

ref<ArrayUBVec4> vl::PlyLoader::mColors`[protected]`

std::vector<unsigned int> vl::PlyLoader::mIndices`[protected]`

int vl::PlyLoader::mVertexIndex`[protected]`

bool vl::PlyLoader::mBinary`[protected]`

bool vl::PlyLoader::mLittleEndian`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlPLY.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlPLY.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:47 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.